org.apache.uima.cas.impl

## Enum FSIndexRepositoryImpl.IteratorExtraFunction

- java.lang.Object
- - java.lang.Enum<FSIndexRepositoryImpl.IteratorExtraFunction>
  - - org.apache.uima.cas.impl.FSIndexRepositoryImpl.IteratorExtraFunction

- All Implemented Interfaces:
    Serializable, Comparable<FSIndexRepositoryImpl.IteratorExtraFunction>
  Enclosing class:
    FSIndexRepositoryImpl

      public static enum FSIndexRepositoryImpl.IteratorExtraFunction
      extends Enum<FSIndexRepositoryImpl.IteratorExtraFunction>

  Kinds of extra functions for iterators

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SNAPSHOT`
    `UNORDERED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FSIndexRepositoryImpl.IteratorExtraFunction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FSIndexRepositoryImpl.IteratorExtraFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SNAPSHOT

          public static final FSIndexRepositoryImpl.IteratorExtraFunction SNAPSHOT

    - #### UNORDERED

          public static final FSIndexRepositoryImpl.IteratorExtraFunction UNORDERED

  - ### Method Detail

    - #### values

          public static FSIndexRepositoryImpl.IteratorExtraFunction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FSIndexRepositoryImpl.IteratorExtraFunction c : FSIndexRepositoryImpl.IteratorExtraFunction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FSIndexRepositoryImpl.IteratorExtraFunction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.